<?php
/**
 * Custom block styles.
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

add_action( 'init', function () {
    register_block_style( 'core/navigation-link', array(
        'name'  => 'audace-button',
        'label' => __( 'Bouton CTA', 'audace' ),
    ) );

    register_block_style( 'core/columns', array(
        'name'  => 'slide',
        'label' => __( 'Slide', 'audace' ),
    ) );

    register_block_style( 'core/columns', array(
        'name'  => 'sticky-left',
        'label' => __( 'Colonne gauche sticky', 'audace' ),
    ) );

    register_block_style( 'core/group', array(
        'name'  => 'slides-container',
        'label' => __( 'Slides container', 'audace' ),
    ) );

    register_block_style( 'core/group', array(
        'name'  => 'slide',
        'label' => __( 'Slide', 'audace' ),
    ) );

    register_block_style( 'core/cover', array(
        'name'  => 'slide',
        'label' => __( 'Slide', 'audace' ),
    ) );

    register_block_style( 'core/column', array(
        'name'  => 'full-height-image',
        'label' => __( 'Image pleine hauteur', 'audace' ),
    ) );

    register_block_style( 'core/column', array(
        'name'  => 'mobile-50vh',
        'label' => __( 'Hauteur 50vh (mobile)', 'audace' ),
    ) );

} );
